net.sourceforge.jnlp.cache

## Class ResourceUrlCreator

- java.lang.Object
- - net.sourceforge.jnlp.cache.ResourceUrlCreator

-     public class ResourceUrlCreator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DownloadOptions` | `downloadOptions`
    `protected Resource` | `resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceUrlCreator(Resource resource, DownloadOptions downloadOptions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.net.URL>` | `getUrls()` Returns a list of URLs that the resources might be downloadable from.
    `protected java.net.URL` | `getVersionedUrlUsingQuery(Resource resource)` Returns the URL for a resource, relying on HTTP query for getting the right version

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resource

          protected final Resource resource

    - #### downloadOptions

          protected final DownloadOptions downloadOptions

  - ### Constructor Detail

    - #### ResourceUrlCreator

          public ResourceUrlCreator(Resource resource,
                            DownloadOptions downloadOptions)

  - ### Method Detail

    - #### getUrls

          public java.util.List<java.net.URL> getUrls()

      Returns a list of URLs that the resources might be downloadable from. The Resources may not be downloadable from any of them. The returned order is the order the urls should be attempted in.
      Returns:
        a list of URLs that the resources might be downloadable from

    - #### getVersionedUrlUsingQuery

          protected java.net.URL getVersionedUrlUsingQuery(Resource resource)

      Returns the URL for a resource, relying on HTTP query for getting the right version
      Parameters:
        `resource` - the resource to get the url for

Submit a bug or feature